import { GefestElement } from "../element";

export class GefestImg extends GefestElement {
    constructor(content : (GefestElement | string)[] | string, src: string) {
        super(content);
        this.setAttribute('src', src);
    }

    protected wrapHTML (content: string): string {
        const attrString = this.attributesToString();
        return `<img ${attrString}>${content}</img>`;
    }
}